download/panel/s3fs/install.sh
2025-03-29 16:49:28 +08:00

74 lines
2.4 KiB (Stored with Git LFS)
Bash

#!/bin/bash
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:$PATH
: '
Copyright (C) 2022 - now HaoZi Technology Co., Ltd.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published
by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.
You should have received a copy of the GNU Affero General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
'
source <(curl -f -s --connect-timeout 10 --retry 3 https://dl.cdn.haozi.net/panel/public.sh)
if [ $? -ne 0 ]; then
echo "下载 public.sh 失败,请检查网络或稍后重试。"
echo "Download public.sh failed, please check the network or try again later."
exit 1
fi
channel=${1}
version=${2}
if [ ${OS} == "rhel" ]; then
dnf remove -y s3fs-fuse
dnf install -y fuse-devel libcurl-devel libxml2-devel openssl-devel
elif [ ${OS} == "debian" ] || [ ${OS} == "ubuntu" ]; then
apt-get purge -y s3fs
apt-get install -y libfuse-dev libcurl4-openssl-dev libxml2-dev libssl-dev
else
error "不支持的操作系统"
fi
cd /tmp
rm -rf s3fs-fuse-${version}
wget --retry-connrefused --retry-on-host-error --retry-on-http-error=429,500,502,503,504 -t 10 -T 120 -O s3fs-fuse-${version} ${download_url}/s3fs/s3fs-fuse-${version}.zip
wget --retry-connrefused --retry-on-host-error --retry-on-http-error=429,500,502,503,504 -t 10 -T 120 -O s3fs-fuse-${version}.zip.sha256 ${download_url}/s3fs/s3fs-fuse-${version}.zip.sha256
if ! sha256sum --status -c s3fs-fuse-${version}.zip.sha256; then
rm -f s3fs-fuse-${version}.zip
rm -f s3fs-fuse-${version}.zip.sha256
error "s3fs-fuse-${version}.zip 校验失败"
fi
unzip -o s3fs-fuse-${version}.zip
rm -f s3fs-fuse-${version}.zip
rm -f s3fs-fuse-${version}.zip.sha256
cd s3fs-fuse-${version}
./autogen.sh
./configure --with-openssl
make "-j${j}"
if [ "$?" != "0" ]; then
rm -rf /tmp/s3fs-fuse-${version}
error "编译失败"
fi
make install
if [ "$?" != "0" ]; then
rm -rf /tmp/s3fs-fuse-${version}
error "安装失败"
fi
rm -rf /tmp/s3fs-fuse-${version}
panel-cli app write s3fs ${channel} ${version}